#! /bin/bash
### BEGIN INIT INFO
# Provides:          xvm-iscsi-config
# Required-Start:    $local_fs $remote_fs
# Required-Stop:     $local_fs $remote_fs
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: XVM iSCSI config
# Description:       Re-generate the iSCSI config for XVM's shared storage
### END INIT INFO

# Author: SIPB XVM Project <xvm@mit.edu>

PACKAGE=xvm-iscsi-config
PATH=/sbin:/usr/sbin:/bin:/usr/bin
GEN_FILES=/etc/iscsi/iscsid.conf.xvm

# Read configuration variable file if it is present
[ -r /etc/default/$NAME ] && . /etc/default/$NAME

. /lib/init/config-init.sh

config_init "$1"
